# $Revision: 1.17 $, $Date: 2012/01/11 22:43:42 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Regexp
%define		pnam	English
Summary:	Regexp::English Perl module - create regular expressions more verbosely
Summary(pl.UTF-8):	Moduł Perla Regexp::English - tworzenie bardziej rozwlekłych wyrażeń regularnych
Name:		perl-Regexp-English
Version:	1.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d388ced5149dd46d7c8613f937fe97a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Test-Simple >= 0.30
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::English provides an alternate regular expression syntax, one
that is slightly more verbose than the standard mechanisms. In
addition, it adds a few convenient features, like incremental
expression building and bound captures.

%description -l pl.UTF-8
Moduł Regexp::English daje alternatywną składnię wyrażeń regularnych,
która jest nieco więcej mówiąca niż standardowe mechanizmy. Dodatkowo
daje kilka wygodnych możliwości, takich jak przyrostowe budowanie
wyrażeń i wychwytywanie ograniczeń.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Regexp/English.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-English.spec,v $
Revision 1.17  2012/01/11 22:43:42  zbyniu
- up to 1.01

Revision 1.16  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.14  2006/10/24 21:49:51  ankry
- ver. 1.00

Revision 1.13  2004/11/03 22:30:41  paladine
- formatting

Revision 1.12  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.11  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/29 20:15:52  ankry
- tests added, license fixed

Revision 1.9  2004/04/15 08:39:04  ankry
- summary/description cosmetics

Revision 1.8  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:37:56  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/14 02:24:10  qboosh
- new

